<?php
/***************************************************************************
 * (c)2002 Boesch IT-Consulting (info@boesch-it.de)
 ***************************************************************************/
function language_select($default, $name="language", $dirname="language/")
{
	$dir = opendir($dirname);
	$lang_select = "<SELECT NAME=\"$name\">\n";
	while ($file = readdir($dir))
	{
		if (ereg("^lang_", $file))
		{
			$file = str_replace("lang_", "", $file);
			$file = str_replace(".php", "", $file);
			$file == $default ? $selected = " SELECTED" : $selected = "";
			$lang_select .= "  <OPTION value=\"$file\"$selected>$file\n";
		}
	}
	$lang_select .= "</SELECT>\n";
	closedir($dir);
	return $lang_select;
}

function language_list($dirname="language/")
{
	$langs = array();
	$dir = opendir($dirname);
	while($file = readdir($dir))
	{
		if (ereg("^lang_",$file))
		{
			$file = str_replace("lang_", "", $file);
			$file = str_replace(".php", "", $file);
			array_push($langs,$file);
		}
	}
	closedir($dir);
	return $langs;
}

function bbencode($input)
{
	$input = " " . $input;
	if (! (strpos($input, "[") && strpos($input, "]")) )
	{
		$input = substr($input, 1);
		return $input;
	}
	$input = bbencode_code($input);
	$input = bbencode_quote($input);
	$input = bbencode_list($input);
	$input = preg_replace("/\[b\](.*?)\[\/b\]/si", "<!-- SPCode Start --><B>\\1</B><!-- SPCode End -->", $input);
	$input = preg_replace("/\[i\](.*?)\[\/i\]/si", "<!-- SPCode Start --><I>\\1</I><!-- SPCode End -->", $input);
	$input = preg_replace("/\[s\](.*?)\[\/s\]/si", "<!-- SPCode Start --><s>\\1</s><!-- SPCode End -->", $input);
	$input = preg_replace("/\[tt\](.*?)\[\/tt\]/si", "<!-- SPCode Start --><tt>\\1</tt><!-- SPCode End -->", $input);
	$input = preg_replace("/\[sub\](.*?)\[\/sub\]/si", "<!-- SPCode Start --><sub>\\1</sub><!-- SPCode End -->", $input);
	$input = preg_replace("/\[sup\](.*?)\[\/sup\]/si", "<!-- SPCode Start --><sup>\\1</sup><!-- SPCode End -->", $input);
	$input = preg_replace("/\[center\](.*?)\[\/center\]/si", "<!-- SPCode Start --><center>\\1</center><!-- SPCode End -->", $input);
	$input = preg_replace("/\[img\](.*?)\[\/img\]/si", "<!-- SPCode Start --><IMG SRC=\"\\1\" BORDER=\"0\"><!-- SPCode End -->", $input);
	$input = preg_replace("/\[center\](.*?)\[\/center\]/si", "<!-- SPCode Start --><center>\\1</center><!-- SPCode End -->", $input);
	$input = preg_replace("/\[img\](.*?)\[\/img\]/si", "<!-- SPCode Start --><IMG SRC=\"\\1\" BORDER=\"0\"><!-- SPCode End -->", $input);
	$patterns = array();
	$replacements = array();
	$patterns[0] = "#\[url\]([a-z]+?://){1}(.*?)\[/url\]#si";
	$replacements[0] = '<!-- SPCode u1 Start --><A HREF="\1\2" TARGET="_blank">\1\2</A><!-- SPCode u1 End -->';
	$patterns[1] = "#\[url\](.*?)\[/url\]#si";
	$replacements[1] = '<!-- SPCode u1 Start --><A HREF="http://\1" TARGET="_blank">\1</A><!-- SPCode u1 End -->';
	$patterns[2] = "#\[url=([a-z]+?://){1}(.*?)\](.*?)\[/url\]#si";
	$replacements[2] = '<!-- SPCode u2 Start --><A HREF="\1\2" TARGET="_blank">\3</A><!-- SPCode u2 End -->';
	$patterns[3] = "#\[url=(.*?)\](.*?)\[/url\]#si";
	$replacements[3] = '<!-- SPCode u2 Start --><A HREF="http://\1" TARGET="_blank">\2</A><!-- SPCode u2 End -->';
	$patterns[4] = "#\[email\](.*?)\[/email\]#si";
	$replacements[4] = '<!-- SPCode Start --><A HREF="mailto:\1">\1</A><!-- SPCode End -->';
	$patterns[5] = "#\[color=(.*?)\](.*?)\[/color\]#si";
	$replacements[5] = '<!-- SPCode color Start --><font color="\1">\2</font><!-- SPCode color End -->';
	$patterns[6] = "#\[size=(.*?)\](.*?)\[/size\]#si";
	$replacements[6] = '<!-- SPCode size Start --><font size="\1">\2</font><!-- SPCode size End -->';
	$input = preg_replace($patterns, $replacements, $input);
	$input = substr($input, 1);
	return $input;

}

function bbdecode($input)
{
		$code_start_html = "<!-- SPCode Start --><TABLE BORDER=0 ALIGN=CENTER WIDTH=85%><TR><TD><font size=-1>Code:</font><HR></TD></TR><TR><TD><FONT SIZE=-1><PRE>";
		$code_end_html = "</PRE></FONT></TD></TR><TR><TD><HR></TD></TR></TABLE><!-- SPCode End -->";
		$input = str_replace($code_start_html, "[code]", $input);
		$input = str_replace($code_end_html, "[/code]", $input);
		$quote_start_html = "<!-- SPCode Quote Start --><TABLE BORDER=0 ALIGN=CENTER WIDTH=85%><TR><TD><font size=-1>Quote:</font><HR></TD></TR><TR><TD><FONT SIZE=-1><BLOCKQUOTE>";
		$quote_end_html = "</BLOCKQUOTE></FONT></TD></TR><TR><TD><HR></TD></TR></TABLE><!-- SPCode Quote End -->";
		$input = str_replace($quote_start_html, "[quote]", $input);
		$input = str_replace($quote_end_html, "[/quote]", $input);
		$input = preg_replace("#<!-- SPCode Start --><s>(.*?)</s><!-- SPCode End -->#s", "[s]\\1[/s]", $input);
		$input = preg_replace("#<!-- SPCode Start --><tt>(.*?)</tt><!-- SPCode End -->#s", "[tt]\\1[/tt]", $input);
		$input = preg_replace("#<!-- SPCode Start --><sub>(.*?)</sub><!-- SPCode End -->#s", "[sub]\\1[/sub]", $input);
		$input = preg_replace("#<!-- SPCode Start --><sup>(.*?)</sup><!-- SPCode End -->#s", "[sup]\\1[/sup]", $input);
		$input = preg_replace("#<!-- SPCode Start --><center>(.*?)</center><!-- SPCode End -->#s", "[center]\\1[/center]", $input);
		$input = preg_replace("#<!-- SPCode Start --><B>(.*?)</B><!-- SPCode End -->#s", "[b]\\1[/b]", $input);
		$input = preg_replace("#<!-- SPCode Start --><I>(.*?)</I><!-- SPCode End -->#s", "[i]\\1[/i]", $input);
		$input = preg_replace("#<!-- SPCode u2 Start --><A HREF=\"([a-z]+?://)(.*?)\" TARGET=\"_blank\">(.*?)</A><!-- SPCode u2 End -->#s", "[url=\\1\\2]\\3[/url]", $input);
		$input = preg_replace("#<!-- SPCode u1 Start --><A HREF=\"([a-z]+?://)(.*?)\" TARGET=\"_blank\">(.*?)</A><!-- SPCode u1 End -->#s", "[url]\\3[/url]", $input);
		$input = preg_replace("#<!-- SPCode Start --><A HREF=\"mailto:(.*?)\">(.*?)</A><!-- SPCode End -->#s", "[email]\\1[/email]", $input);
		$input = preg_replace("#<!-- SPCode Start --><IMG SRC=\"(.*?)\" BORDER=\"0\"><!-- SPCode End -->#s", "[img]\\1[/img]", $input);
		$input = str_replace("<!-- SPCode --><LI>", "[*]", $input);
		$input = str_replace("<!-- SPCode ulist Start --><UL>", "[list]", $input);
		$input = preg_replace("#<!-- SPCode olist Start --><OL TYPE=([A1])>#si", "[list=\\1]", $input);
		$input = str_replace("</UL><!-- SPCode ulist End -->", "[/list]", $input);
		$input = str_replace("</OL><!-- SPCode olist End -->", "[/list]", $input);
		$input = preg_replace("#<!-- SPCode color Start --><font color=\"(.*?)\">(.*?)</font><!-- SPCode color End -->#s", "[color=\\1]\\2[/color]", $input);
		$input = preg_replace("#<!-- SPCode size Start --><font size=\"(.*?)\">(.*?)</font><!-- SPCode size End -->#s", "[size=\\1]\\2[/size]", $input);
		$input = preg_replace("#<!-- SPCode font Start --><font face=\"(.*?)\">(.*?)</font><!-- SPCode font End -->#s", "[font=\\1]\\2[/font]", $input);
		$input = preg_replace("#<!-- SPCode align Start --><p align=\"(.*?)\">(.*?)</p><!-- SPCode align End -->#s", "[align=\\1]\\2[/align]", $input);
		return($input);
}

function bbencode_quote($input)
{
	if (!strpos(strtolower($input), "[quote]"))
	{
		return $input;
	}

	$stack = Array();
	$curr_pos = 1;
	while ($curr_pos && ($curr_pos < strlen($input)))
	{
		$curr_pos = strpos($input, "[", $curr_pos);

		if ($curr_pos)
		{
			$possible_start = substr($input, $curr_pos, 7);
			$possible_end = substr($input, $curr_pos, 8);
			if (strcasecmp("[quote]", $possible_start) == 0)
			{
				array_push($stack, $curr_pos);
				++$curr_pos;
			}
			else if (strcasecmp("[/quote]", $possible_end) == 0)
			{
				if (sizeof($stack) > 0)
				{
					$start_index = array_pop($stack);
					$before_start_tag = substr($input, 0, $start_index);
					$between_tags = substr($input, $start_index + 7, $curr_pos - $start_index - 7);
					$after_end_tag = substr($input, $curr_pos + 8);
					$input = $before_start_tag . "<!-- SPCode Quote Start --><TABLE BORDER=0 ALIGN=CENTER WIDTH=85%><TR><TD><font size=-1>Quote:</font><HR></TD></TR><TR><TD><FONT SIZE=-1><BLOCKQUOTE>";
					$input .= $between_tags . "</BLOCKQUOTE></FONT></TD></TR><TR><TD><HR></TD></TR></TABLE><!-- SPCode Quote End -->";
					$input .= $after_end_tag;
					if (sizeof($stack) > 0)
					{
						$curr_pos = array_pop($stack);
						array_push($stack, $curr_pos);
						++$curr_pos;
					}
					else
					{
						$curr_pos = 1;
					}
				}
				else
				{
					++$curr_pos;
				}
			}
			else
			{
				++$curr_pos;
			}
		}
	}

	return $input;
}

function bbencode_code($input)
{
	if (!strpos(strtolower($input), "[code]"))
	{
		return $input;
	}

	$input = preg_replace("/\[([0-9]+?)code\]/si", "[#\\1code]", $input);
	$input = preg_replace("/\[\/code([0-9]+?)\]/si", "[/code#\\1]", $input);

	$stack = Array();
	$curr_pos = 1;
	$max_nesting_depth = 0;
	while ($curr_pos && ($curr_pos < strlen($input)))
	{
		$curr_pos = strpos($input, "[", $curr_pos);
		if ($curr_pos)
		{
			$possible_start = substr($input, $curr_pos, 6);
			$possible_end = substr($input, $curr_pos, 7);
			if (strcasecmp("[code]", $possible_start) == 0)
			{
				array_push($stack, $curr_pos);
				++$curr_pos;
			}
			else if (strcasecmp("[/code]", $possible_end) == 0)
			{
				if (sizeof($stack) > 0)
				{
					$curr_nesting_depth = sizeof($stack);
					$max_nesting_depth = ($curr_nesting_depth > $max_nesting_depth) ? $curr_nesting_depth : $max_nesting_depth;
					$start_index = array_pop($stack);
					$before_start_tag = substr($input, 0, $start_index);
					$between_tags = substr($input, $start_index + 6, $curr_pos - $start_index - 6);
					$after_end_tag = substr($input, $curr_pos + 7);
					$input = $before_start_tag . "[" . $curr_nesting_depth . "code]";
					$input .= $between_tags . "[/code" . $curr_nesting_depth . "]";
					$input .= $after_end_tag;
					if (sizeof($stack) > 0)
					{
						$curr_pos = array_pop($stack);
						array_push($stack, $curr_pos);
						++$curr_pos;
					}
					else
					{
						$curr_pos = 1;
					}
				}
				else
				{
					++$curr_pos;
				}
			}
			else
			{
				++$curr_pos;
			}
		}
	}

	if ($max_nesting_depth > 0)
	{
		for ($i = 1; $i <= $max_nesting_depth; ++$i)
		{
			$start_tag = escape_slashes(preg_quote("[" . $i . "code]"));
			$end_tag = escape_slashes(preg_quote("[/code" . $i . "]"));
			$match_count = preg_match_all("/$start_tag(.*?)$end_tag/si", $input, $matches);
			for ($j = 0; $j < $match_count; $j++)
			{
				$before_replace = escape_slashes(preg_quote($matches[1][$j]));
				$after_replace = $matches[1][$j];
				if($i < 2)
				{
					$after_replace = htmlspecialchars($after_replace);
				}
				$str_to_match = $start_tag . $before_replace . $end_tag;
				$input = preg_replace("/$str_to_match/si", "<!-- SPCode Start --><TABLE BORDER=0 ALIGN=CENTER WIDTH=85%><TR><TD><font size=-1>Code:</font><HR></TD></TR><TR><TD><FONT SIZE=-1><PRE>$after_replace</PRE></FONT></TD></TR><TR><TD><HR></TD></TR></TABLE><!-- SPCode End -->", $input);
			}
		}
	}
	$input = preg_replace("/\[#([0-9]+?)code\]/si", "[\\1code]", $input);
	$input = preg_replace("/\[\/code#([0-9]+?)\]/si", "[/code\\1]", $input);
	return $input;
}

function bbencode_list($input)
{
	$start_length = Array();
	$start_length["ordered"] = 8;
	$start_length["unordered"] = 6;
	if (!strpos(strtolower($input), "[list"))
	{
		return $input;
	}
	$stack = Array();
	$curr_pos = 1;
	while ($curr_pos && ($curr_pos < strlen($input)))
	{
		$curr_pos = strpos($input, "[", $curr_pos);
		if ($curr_pos)
		{
			$possible_ordered_start = substr($input, $curr_pos, $start_length["ordered"]);
			$possible_unordered_start = substr($input, $curr_pos, $start_length["unordered"]);
			$possible_end = substr($input, $curr_pos, 7);
			if (strcasecmp("[list]", $possible_unordered_start) == 0)
			{
				array_push($stack, array($curr_pos, ""));
				++$curr_pos;
			}
			else if (preg_match("/\[list=([a1])\]/si", $possible_ordered_start, $matches))
			{
				array_push($stack, array($curr_pos, $matches[1]));
				++$curr_pos;
			}
			else if (strcasecmp("[/list]", $possible_end) == 0)
			{
				if (sizeof($stack) > 0)
				{
					$start = array_pop($stack);
					$start_index = $start[0];
					$start_char = $start[1];
					$is_ordered = ($start_char != "");
					$start_tag_length = ($is_ordered) ? $start_length["ordered"] : $start_length["unordered"];
					$before_start_tag = substr($input, 0, $start_index);
					$between_tags = substr($input, $start_index + $start_tag_length, $curr_pos - $start_index - $start_tag_length);
					$between_tags = str_replace("[*]", "<!-- SPCode --><LI>", $between_tags);
					$after_end_tag = substr($input, $curr_pos + 7);
					if ($is_ordered)
					{
						$input = $before_start_tag . "<!-- SPCode olist Start --><OL TYPE=" . $start_char . ">";
						$input .= $between_tags . "</OL><!-- SPCode olist End -->";
					}
					else
					{
						$input = $before_start_tag . "<!-- SPCode ulist Start --><UL>";
						$input .= $between_tags . "</UL><!-- SPCode ulist End -->";
					}
					$input .= $after_end_tag;
					if (sizeof($stack) > 0)
					{
						$a = array_pop($stack);
						$curr_pos = $a[0];
						array_push($stack, $a);
						++$curr_pos;
					}
					else
					{
						$curr_pos = 1;
					}
				}
				else
				{
					++$curr_pos;
				}
			}
			else
			{
				++$curr_pos;
			}
		}
	}
	return $input;
}

function make_clickable($input)
{
	$ret = " " . $input;
	$ret = preg_replace("#([\n ])([a-z]+?)://([^, \n\r]+)#i", "\\1<!-- SPCode auto-link start --><a href=\"\\2://\\3\" target=\"_blank\">\\2://\\3</a><!-- SPCode auto-link end -->", $ret);
	$ret = preg_replace("#([\n ])www\.([a-z0-9\-]+)\.([a-z0-9\-.\~]+)((?:/[^, \n\r]*)?)#i", "\\1<!-- SPCode auto-link start --><a href=\"http://www.\\2.\\3\\4\" target=\"_blank\">www.\\2.\\3\\4</a><!-- SPCode auto-link end -->", $ret);
	$ret = substr($ret, 1);
	return($ret);
}

function undo_make_clickable($input)
{
	$input = preg_replace("#<!-- SPCode auto-link start --><a href=\"(.*?)\" target=\"_blank\">.*?</a><!-- SPCode auto-link end -->#i", "\\1", $input);
	return $input;

}

function escape_slashes($input)
{
	$output = str_replace('/', '\/', $input);
	return $output;
}

function gethostname($ipadr, $db, $doresolve)
{
	global $hcprefix;

	$sql="select * from ".$hcprefix."_hostcache where ipadr='$ipadr'";
	if(!$result = mysql_query($sql, $db))
	    die("Could not connect to the database.");
	$acthostname="";
	if ((!$myrow = mysql_fetch_array($result)) && ($doresolve==true))
	{
		$acthostname=gethostbyaddr($ipadr);
		$sql = "insert into ".$hcprefix."_hostcache (ipadr, hostname) values ('$ipadr','$acthostname')";
		if(!$result = mysql_query($sql, $db))
		    die("Could not connect to the database.");
	}
	else
		$acthostname=$myrow["hostname"];
	return $acthostname;
}

function email_single_news($heading, $newstext, $newslang, $db, $subject, $sender, $sendername, $newsdate, $poster, $newsnr, $icon, $newscat)
{
	global $path_simpnews, $url_icons, $url_gfx, $path_gfx, $tableprefix, $simpnews_fullurl, $l_poster, $copyright_url, $copyright_note, $contentcharset, $version;
    global $use_smtpmail, $smtpserver, $smtpport, $smtpsenderdomain, $smtpauth, $smtpuser, $smtppasswd, $servertimezone, $displaytimezone, $newsletternoicons;

	include_once('../includes/class.html.mime.mail.inc');
	define('CRLF', "\r\n", TRUE);
	$crlf="\r\n";

	if($use_smtpmail)
		include_once('../includes/class.smtp.inc');

	$sql="select * from ".$tableprefix."_layout where lang='$newslang' and deflayout=1";
	if(!$result = mysql_query($sql, $db))
	    die("Unable to connect to database.".mysql_error());
	if(!$myrow=mysql_fetch_array($result))
		die("Layout setup error");
	$dateformat=$myrow["dateformat"];
	$timestampfontcolor=$myrow["timestampfontcolor"];
	$timestampfontsize=$myrow["timestampfontsize"];
	$timestampfont=$myrow["timestampfont"];
	$timestampstyle=$myrow["timestampstyle"];
	$timestampbgcolor=$myrow["timestampbgcolor"];
	$globalheading=$myrow["heading"];
	$headingbgcolor=$myrow["headingbgcolor"];
	$headingfontcolor=$myrow["headingfontcolor"];
	$headingfont=$myrow["headingfont"];
	$headingfontsize=$myrow["headingfontsize"];
	$bordercolor=$myrow["bordercolor"];
	$contentbgcolor=$myrow["contentbgcolor"];
	$contentfontcolor=$myrow["contentfontcolor"];
	$contentfont=$myrow["contentfont"];
	$contentfontsize=$myrow["contentfontsize"];
	$TableWidth=$myrow["TableWidth"];
	$newsheadingbgcolor=$myrow["newsheadingbgcolor"];
	$newsheadingfontcolor=$myrow["newsheadingfontcolor"];
	$newsheadingstyle=$myrow["newsheadingstyle"];
	$newsheadingfont=$myrow["newsheadingfont"];
	$newsheadingfontsize=$myrow["newsheadingfontsize"];
	$displayposter=$myrow["displayposter"];
	$posterbgcolor=$myrow["posterbgcolor"];
	$posterfontcolor=$myrow["posterfontcolor"];
	$posterfont=$myrow["posterfont"];
	$posterfontsize=$myrow["posterfontsize"];
	$posterstyle=$myrow["posterstyle"];
	$copyrightbgcolor=$myrow["copyrightbgcolor"];
	$copyrightfontcolor=$myrow["copyrightfontcolor"];
	$copyrightfont=$myrow["copyrightfont"];
	$copyrightfontsize=$myrow["copyrightfontsize"];
	$attachpic=$myrow["attachpic"];
	$heading=stripslashes($heading);
	$newstext=stripslashes($newstext);
	$subject=stripslashes($subject);
	list($mydate,$mytime)=explode(" ",$newsdate);
	list($year, $month, $day) = explode("-", $mydate);
	list($hour, $min, $sec) = explode(":",$mytime);
	$temptime=mktime($hour,$min,$sec,$month,$day,$year);
	$temptime=$temptime-($servertimezone*60*60);
	$temptime=$temptime+($displaytimezone*60*60);
	$displaydate=date($dateformat,$temptime);
	$actdate = date("Y-m-d H:i:s");
	$asc_mailmsg="$displaydate:".$crlf;
	$html_mailmsg="<table width=\"$TableWidth\" border=\"0\" CELLPADDING=\"1\" CELLSPACING=\"0\" ALIGN=\"CENTER\" VALIGN=\"TOP\">".$crlf;
	$html_mailmsg.="<tr><TD BGCOLOR=\"$bordercolor\">".$crlf;
	$html_mailmsg.="<TABLE BORDER=\"0\" CELLPADDING=\"1\" CELLSPACING=\"1\" WIDTH=\"100%\">".$crlf;
	if(strlen($globalheading)>0)
	{
		$html_mailmsg.="<TR BGCOLOR=\"$headingbgcolor\" ALIGN=\"CENTER\">".$crlf;
		$html_mailmsg.="<TD";
		if($newsletternoicons==0)
			$html_mailmsg.=" colspan=\"2\"";
		$html_mailmsg.=" ALIGN=\"CENTER\" VALIGN=\"MIDDLE\"><font face=\"$headingfont\" size=\"$headingfontsize\" color=\"$headingfontcolor\"><b>$globalheading</b></font></td></tr>".$crlf;
	}
	if($newsletternoicons==0)
	{
		$html_mailmsg.="<tr>".$crlf;
		$html_mailmsg.="<td width=\"2%\" height=\"100%\" align=\"center\" bgcolor=\"$contentbgcolor\">".$crlf;
		if($icon)
			$html_mailmsg.="<img src=\"$url_icons/$icon\" border=\"0\" align=\"middle\"> ".$crlf;
		else
			$html_mailmsg.="&nbsp;";
		$html_mailmsg.="</td>";
		$html_mailmsg.="<td  align=\"center\"><table width=\"100%\" align=\"center\" bgcolor=\"$contentbgcolor\" cellspacing=\"0\" cellpadding=\"0\">".$crlf;
	}
	$html_mailmsg.="<tr bgcolor=\"$timestampbgcolor\"><td align=\"left\">".$crlf;
	$html_mailmsg.="<font face=\"$timestampfont\" size=\"$timestampfontsize\" color=\"$timestampfontcolor\">".$crlf;
	$html_mailmsg.=get_start_tag($timestampstyle);
	$html_mailmsg.=$displaydate;
	$html_mailmsg.=get_end_tag($timestampstyle);
	$html_mailmsg.="</font></td></tr>".$crlf;
	if(strlen($heading)>0)
	{
		$html_mailmsg.="<tr bgcolor=\"$newsheadingbgcolor\"><td align=\"left\">".$crlf;
		$html_mailmsg.="<font face=\"$newsheadingfont\" size=\"$newsheadingfontsize\" color=\"$newsheadingfontcolor\">".$crlf;
		$html_mailmsg.=get_start_tag($newsheadingstyle);
		$html_mailmsg.=htmlentities($heading);
		$html_mailmsg.=get_end_tag($newsheadingstyle);
		$html_mailmsg.="</font></td></tr>".$crlf;
		$asc_heading=strip_tags($heading);
		$asc_mailmsg.=$asc_heading;
		$asc_mailmsg.=$crlf;
		for($i=0;$i<strlen($asc_heading);$i++)
			$asc_mailmsg.="-";
		$asc_mailmsg.=$crlf;
	}
	$html_mailmsg.="<tr bgcolor=\"$contentbgcolor\"><td align=\"left\">".$crlf;
	$html_mailmsg.="<font face=\"$contentfont\" size=\"$contentfontsize\" color=\"$contentfontcolor\">".$crlf;
	$html_news=stripslashes($newstext);
	$html_news=undo_htmlspecialchars($html_news);
	$asc_newstext=str_replace("<BR>",$crlf,$html_news);
	$html_news=str_replace("<BR>","<BR>".$crlf,$html_news);
	$html_mailmsg.=$html_news."</font></td></tr>".$crlf;
	$asc_newstext=undo_htmlentities($asc_newstext);
	$asc_newstext=strip_tags($asc_newstext);
	$asc_mailmsg.=$asc_newstext.$crlf;
	if($displayposter && (strlen($poster)>0))
	{
		$html_mailmsg.="<tr bgcolor=\"$posterbgcolor\"><td align=\"left\">".$crlf;
		$html_mailmsg.="<font face=\"$posterfont\" size=\"$posterfontsize\" color=\"$posterfontcolor\">".$crlf;
		$html_mailmsg.=get_start_tag($posterstyle);
		$html_mailmsg.="$l_poster: ".htmlentities($poster);
		$html_mailmsg.=get_end_tag($posterstyle);
		$html_mailmsg.="</font></td></tr>".$crlf;
	}
	$tempsql="select * from ".$tableprefix."_bindata where entrynr=".$newsnr;
	if(!$tempresult=mysql_query($tempsql,$db))
	    die("Unable to connect to database.".mysql_error());
	if($temprow=mysql_fetch_array($tempresult))
	{
		$html_mailmsg.="<tr bgcolor=\"$contentbgcolor\">".$crlf;
		$html_mailmsg.="<td align=\"left\">".$crlf;
		$html_mailmsg.="<font face=\"$contentfont\" size=\"$contentfontsize\" color=\"$contentfontcolor\">".$crlf;
		$fileinfo=$temprow["filename"]." (".$temprow["filesize"]."Bytes)";
		if($newsletternoicons==0)
			$html_mailmsg.="&nbsp;<a href=\"".$simpnews_fullurl."sndownload.php?entrynr=".$newsnr."\" target=\"_blank\"><img src=\"$attachpic\" border=\"0\" align=\"absmiddle\" title=\"$fileinfo\" alt=\"$fileinfo\"></a>&nbsp; ";
		else
			$html_mailmsg.="Attachement:&nbsp;";
		$html_mailmsg.="<a href=\"".$simpnews_fullurl."sndownload.php?entrynr=".$newsnr."\" target=\"_blank\">Download</a></font></td></tr>".$crlf;
		$asc_mailmsg.= "Download attachement: ".$simpnews_fullurl."sndownload.php?entrynr=".$newsnr.$crlf;
	}
	$asc_mailmsg.=$crlf;
	if($newsletternoicons==0)
		$html_mailmsg.="</table></td></tr>";
	$html_mailmsg.="<TR BGCOLOR=\"$copyrightbgcolor\" ALIGN=\"CENTER\">".$crlf;
	$html_mailmsg.="<TD ALIGN=\"CENTER\" VALIGN=\"MIDDLE\"";
	if($newsletternoicons==0)
		$html_mailmsg.=" colspan=\"2\"";
	$html_mailmsg.="><font face=\"$copyrightfont\" size=\"$copyrightfontsize\" color=\"$copyrightfontcolor\">".$crlf;
	$html_mailmsg.="Generated by $copyright_url, $copyright_note</td></tr>".$crlf;
	$html_mailmsg.="</table></td></tr></table>".$crlf;
	if($newsletternoicons==0)
		$html_mailmsg=str_replace($url_gfx."/","",$html_mailmsg);
	$sql = "select * from ".$tableprefix."_subscriptions where (confirmed=1 and language='$newslang') and (category=$newscat or category=0) group by subscriptionnr";
	if(!$result = mysql_query($sql, $db))
	    die("Unable to connect to database.".mysql_error());
	while($myrow=mysql_fetch_array($result))
	{
	    $mail = new html_mime_mail(array('X-Mailer: SimpNews v'.$version));
		$sql2="select * from ".$tableprefix."_layout where lang='$newslang' and deflayout=1";
		if(!$result2 = mysql_query($sql2, $db))
		    die("Unable to connect to database.".mysql_error());
		if(!$myrow2=mysql_fetch_array($result2))
			die("Layout setup error");
		$unsubscribeurl=$simpnews_fullurl."subscription.php?lang=$newslang&id=".$myrow["unsubscribeid"]."&mode=remove&email=".$myrow["email"];
		$unsubscribeurl_html="<font face=\"Verdana, Geneva, Arial, Helvetica, sans-serif\" size=\"1\"><a href=\"$unsubscribeurl\">$unsubscribeurl</a></font>";
		if($myrow2["emailremark"])
			$html_remark=str_replace("{unsubscribeurl}",$unsubscribeurl_html,$myrow2["emailremark"]);
		else
			$html_remark="unsubscribe: $unsubscribeurl_html";
		$html_remark=str_replace("\n","<br>".$crlf,$html_remark);
		if($myrow2["emailremark"])
			$asc_remark=str_replace("{unsubscribeurl}",$unsubscribeurl,strip_tags($myrow2["emailremark"]));
		else
			$asc_remark="unsubscribe: $unsubscribeurl";
		$asc_remark=str_replace("\n",$crlf,$asc_remark);
		$userhtmlbody=$html_mailmsg;
		if(strlen($html_remark)>0)
			$userhtmlbody.="<hr>$html_remark<br><br>".$crlf;
		$userhtmlbody.="---<BR>".str_replace("\n","<BR>".$crlf,$myrow2["defsignature"]).$crlf;
		$userascbody=$asc_mailmsg;
		if(strlen($asc_remark)>0)
			$userascbody.="---------------------------".$crlf.$asc_remark.$crlf.$crlf;
		$userascbody.="---".$crlf.str_replace("\n",$crlf,$myrow2["defsignature"]);
		if($myrow["emailtype"]==0)
		{
			$mail->build_params['text_charset']=$contentcharset;
			$mail->build_params['html_charset']=$contentcharset;
	        $mail->add_html($userhtmlbody, $userascbody);
			if($newsletternoicons==0)
				$mail->find_html_images($path_gfx."/");
	    }
	    else
	    {
			$mail->build_params['text_charset']=$contentcharset;
	    	$mail->add_text($userascbody);
	    }
		$mail->build_message();
		if($use_smtpmail)
		{
			if($sendername)
				$smtpfrom="\"$sendername\" <$sender>";
			else
				$smtpfrom=$sender;
			$mailparams = array(
				'host' => $smtpserver,
				'port' => $smtpport,
				'helo' => $smtpsenderdomain,
				'auth' => $smtpauth,
				'user' => $smtpuser,
				'pass' => $smtppasswd);
	        $smtp =& smtp::connect($mailparams);
			$send_params = array(
				'from'			=> $sender,
				'recipients'	=> array($myrow["email"]),
				'headers'		=> array(
				'From: '.$smtpfrom,
				'To: '.$myrow["email"],
				'Subject: '.$subject));
	        $mail->smtp_send($smtp, $send_params);
		}
		else
	    	$mail->send("",$myrow["email"],$sendername,$sender,$subject);
	    $sql2="update ".$tableprefix."_subscriptions set lastsent='$actdate' where subscriptionnr=".$myrow["subscriptionnr"];
		if(!$result2 = mysql_query($sql2, $db))
		    die("Unable to connect to database.".mysql_error());
	}
}

function do_url_session($url)
{
	global $sessid_url, $url_sessid, $sesscookiename;

	$url=ereg_replace("[&?]+$", "", $url);
	if($sessid_url)
	{
		$url2="";
		if(strrpos($url,"#")>0)
		{
			$url2=substr($url,strrpos($url,"#"));
			$url=substr($url,0,strrpos($url,"#"));
		}
		$url .= ( strpos($url, "?") != false ?  "&" : "?" ).urlencode($sesscookiename)."=".$url_sessid;
		if(strlen($url2)>0)
			$url.=$url2;
    }
    return $url;
}

function encode_emoticons($input, $url_emoticons, $db) {
	global $tableprefix;

	$input = ' ' . $input;
	$sql="SELECT *, length(code) as length FROM ".$tableprefix."_emoticons ORDER BY length DESC";
	if ($result = mysql_query($sql))
	{
		while ($emoticons = mysql_fetch_array($result))
		{
			$emoticon_code = preg_quote($emoticons["code"]);
			$emiticon_code = str_replace('/', '//', $emoticon_code);
			$input = preg_replace("/([\n\\ \\.])$emoticon_code/si", '\1<IMG SRC="' . $url_emoticons . '/' . $emoticons["emoticon_url"] . '">', $input);
		}
	}
	$input = substr($input, 1);
	return($input);
}

function decode_emoticons($input, $url_emoticons, $db) {
	global $tableprefix;

	$sql="select * from ".$tableprefix."_emoticons";
	if ($result = mysql_query($sql))
	{
		while ($myrow = mysql_fetch_array($result))
		{
			$input = str_replace("<IMG SRC=\"$url_emoticons/".$myrow["emoticon_url"]."\">", $myrow["code"], $input);
      }
   }
   return($input);
}
?>